Open SCAP Library

Macros | Functions
cpelang.c File Reference

Interface to Common Platform Enumeration (CPE) Language. More...

`#include <libxml/tree.h>`
`#include <string.h>`
`#include "public/cpe_lang.h"`
`#include "cpelang_priv.h"`
`#include "common/util.h"`
`#include "common/list.h"`
`#include "source/public/oscap_source.h"`

## Macros
#define | CPE_LANG_SUPPORTED "2.2"

## Functions
struct cpe_lang_model * | cpe_lang_model_import (const char *file)
void | cpe_lang_model_export (const struct cpe_lang_model *spec, const char *file)
bool | cpe_platform_match_cpe (struct cpe_name **cpe, size_t n, const struct cpe_platform *platform)
const char * | cpe_lang_model_supported (void)
char * | cpe_lang_model_detect_version_priv (xmlTextReader *reader)
char * | cpe_lang_model_detect_version (const char *file)
bool | cpe_platform_applicable_lang_model (const char *platform, struct cpe_lang_model *lang_model, cpe_check_fn check_cb, cpe_dict_fn dict_fn, void *usr)

## Detailed Description

Interface to Common Platform Enumeration (CPE) Language.

See more details at http://nvd.nist.gov/cpe.cfm